Topic
  • No replies
JoachimB
JoachimB
1 Post

Pinned topic Uninstalling Java 1.4.2 from AIX 6.1

‏2013-12-20T10:43:25Z |

Beyond Java5 and Java6 I still have these Java versions on my AIX 6.1 servers:

  Java14.sdk               1.4.2.275    C     F    Java SDK 32-bit
  Java14_64.sdk            1.4.2.150    C     F    Java SDK 64-bit

As Java 1.4.2 obviously went out of service I thought I would uninstall it.

So I ran an uninstall with smitty in preview mode and got the frigthening message, that I also should delete several hundred dependend filesets.
That doesn't look good to me.

How to uninstall (or disable) Java 1.4.2 then?

 

Here is the complete message issued by smitty:

 Filesets listed in this section failed pre-deinstall verification
  and will not be removed.

  Dependency Failures
  (Deinstall Operation)
  ---------------------
  SELECTED FILESETS:  The following is a list of filesets that you asked to
  remove.  They cannot be removed until all of their dependent filesets
  are also removed.  See subsequent lists for details of dependents.

    Java14.sdk 1.4.1.6                        # Java SDK 32-bit

  NON-DEINSTALLABLE DEPENDENTS:  The following filesets depend upon one or
  more of the selected filesets listed above.  These dependents should
  be removed before the selected filesets.  Deinstallability checks indicate
  that these dependents should not be removed from the system; therefore, the
  selected filesets cannot be removed.

    devices.common.IBM.storfwork.rte 6.1.6.0  # Storage Framework Module

  INSTALLED DEPENDENTS:  The following filesets are dependents of one or more
  of the selected filesets listed above.  These must be removed before
  or with the filesets that you selected.  To remove these dependents with
  the selected filesets, specify the option to automatically remove dependent
  software (-g flag).
  WARNING:  The fileset updates listed below have created dependencies from
  their filesets to one or more of the filesets that you are trying to
  remove.  If you choose to automatically remove dependent software, the
  entire dependent fileset will be removed (not just the update).  You
  may be able to reject the update to remove the dependency.

    Java14.license 1.4.1.1                    # Java SDK 32-bit License
    X11.base.lib 6.1.5.0                      # AIXwindows Runtime Libraries
    X11.base.lib 6.1.6.0                      # AIXwindows Runtime Libraries
    X11.base.lib 6.1.7.2                      # AIXwindows Runtime Libraries
    X11.base.lib 6.1.8.0                      # AIXwindows Runtime Libraries
    X11.compat.lib.X11R6 6.1.5.0              # AIXwindows X11R6 Compatibili...
    X11.compat.lib.X11R6 6.1.6.0              # AIXwindows X11R6 Compatibili...
    X11.compat.lib.X11R6 6.1.8.0              # AIXwindows X11R6 Compatibili...
    bos.64bit 6.1.5.0                         # Base Operating System 64 bit...
    bos.64bit 6.1.6.3                         # Base Operating System 64 bit...
    bos.64bit 6.1.7.2                         # Base Operating System 64 bit...
    bos.64bit 6.1.8.15                        # Base Operating System 64 bit...
    bos.acct 6.1.5.0                          # Accounting Services
    bos.acct 6.1.6.0                          # Accounting Services
    bos.acct 6.1.7.2                          # Accounting Services
    bos.acct 6.1.7.15                         # Accounting Services
    bos.acct 6.1.8.15                         # Accounting Services
    bos.adt.base 6.1.5.0                      # Base Application Development...
    bos.adt.base 6.1.6.1                      # Base Application Development...
    bos.adt.base 6.1.7.0                      # Base Application Development...
    bos.adt.base 6.1.8.15                     # Base Application Development...
    bos.adt.debug 6.1.5.0                     # Base Application Development...
    bos.adt.debug 6.1.6.1                     # Base Application Development...
    bos.adt.debug 6.1.7.0                     # Base Application Development...
    bos.adt.debug 6.1.8.15                    # Base Application Development...
    bos.adt.include 6.1.5.0                   # Base Application Development...
    bos.adt.include 6.1.6.3                   # Base Application Development...
    bos.adt.include 6.1.7.3                   # Base Application Development...
[MORE...621]